Name:           skencil
Version:        0.6.17
Release: 	1
Summary:        Vector drawing program
Group:          Graphics
License:        LGPL, GPL, Historical Permission Notice and Disclaimer
URL:            http://www.skencil.org
Source0:        %{name}-%{version}.tar.gz
Source1:        skencil-logo.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python python-imaging
BuildRequires:  python-devel python-imaging-devel

%description
Skencil is an interactive vector drawing program for X (similar to XFig
or tgif). It is written almost completely in Python, an object oriented
interpreted programming language.

Skencil was originally named "Sketch" (it was renamed with release
0.6.16) and the name "Sketch" is still used in many places.

%prep
%setup -q
grep -rl lib/ . | xargs perl -pi -e's,lib/,%{_lib}/,g'
grep -rl lib\' . | xargs perl -pi -es,lib\',%{_lib}\',g

%build
find \( -name \*.sk -or -name \*.ppm -or -name \*.jpg \) -exec chmod 644 \{\} \;
python setup.py configure
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --dest-dir=$RPM_BUILD_ROOT
install -p Tools/mkfontdb.py $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/
ln -s %{_libdir}/%{name}-%{version}/mkfontdb.py $RPM_BUILD_ROOT%{_bindir}/mkfontdb
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/skencil-logo.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cat > $RPM_BUILD_ROOT%{_datadir}/mime/packages/skencil.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
    <mime-type type="image/x-sk">
        <comment xml:lang="en">Skencil document</comment>
        <glob pattern="*.sk"/>
  </mime-type>
</mime-info>
EOF

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                                                                               
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                                                                              
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :                                                                            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :                                                                           
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :                                                                          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :                                                                        
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :                                                                    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :                                                                  
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}
%{_bindir}
%{_datadir}
